<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_1be4a86e" . "c54058894" . "c0dc8eeb4" . "4bf65a" => base64_decode("Y29tbW9uLnR5cGUucHViX3BhZ" . "2Vz"), "_bdf46cfa1aba0af38c9a9fa98df" . "d831b" => base64_decode("YXBw" . "X3B1" . "Ymxp" . "c2g="), "_0c5123aa744f69bbc0e8b3" . "ea2f6e847d" => base64_decode("bG1zZ" . "w=="), "_9f55fef472b741cb222" . "ce4503e90012a" => base64_decode("cHViX3BhZ" . "2U="));
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_9f55fef472b741cb222ce4503e90" . "012a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_1be4a86ec54058894c0dc8eeb44bf" . "65a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_bdf46cfa1" . "aba0af38c9" . "a9fa98dfd8" . "31b"];
    }
}